Summary:	Simple library to add cryptographic attestation to patches sent via email
Summary(pl.UTF-8):	Prosta biblioteka dodająca kryptograficzne poświadczenie do łatek wysyłanych pocztą
Name:		python3-patatt
Version:	0.6.3
Release:	1
License:	MIT-0
Group:		Libraries/Python
Source0:	https://www.kernel.org/pub/software/devel/patatt/patatt-%{version}.tar.xz
# Source0-md5:	f2875b47163efb63e90f6128e426fcae
URL:		https://pypi.org/project/patatt/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility allows an easy way to add end-to-end cryptographic
attestation to patches sent via mail. It does so by adapting the DKIM
email signature standard to include cryptographic signatures via the
X-Developer-Signature email header.

%description -l pl.UTF-8
To narzędzie umożliwia w łatwy sposób dodawać poświadczenia
kryptograficzne do łatek przesyłanych pocztą elektroniczną. Zostało to
osiągnięte przez zaadaptowanie standardu podpisów listów DKIM do
dołączania podpisów kryptograficznych poprzez nagłówek
X-Developer-Signature.

%prep
%setup -q -n patatt-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README.rst
%attr(755,root,root) %{_bindir}/patatt
%{py3_sitescriptdir}/patatt
%{py3_sitescriptdir}/patatt-%{version}-py*.egg-info
%{_mandir}/man5/patatt.5*
%changelog
* Thu Mar 30 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-patatt.git;a=log;h=master

* Thu Mar 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 2adb823
- updated to 0.6.3

* Sat Oct 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 2b4c1a5
- updated to 0.6.2

* Sun Aug 21 2022 Jakub Bogusz <qboosh@pld-linux.org> c01db0a
- updated to 0.5.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> cce68d1
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 46c8daf
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> eb66950
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 781a304
- rebuild with python 3.10

* Mon Nov 01 2021 Jakub Bogusz <qboosh@pld-linux.org> 3d8a20d
- updated to 0.4.9

* Sat Sep 11 2021 Jakub Bogusz <qboosh@pld-linux.org> b6c63b9
- updated to 0.4.7

* Sun Jul 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 77fac7e
- new

